JOURNAL_INIT_DEV(9)

NAME
journal_init_dev - creates and initialises a journal structure

SYNOPSIS

journal_t * journal_init_dev(struct block_device * bdev, struct block_device * fs_dev, int start, int len, int blocksize);

ARGUMENTS

bdev
    Block device on which to create the journal

fs_dev
    Device which hold journalled filesystem for this journal.

start
    Block nr Start of journal.

len
    Length of the journal in blocks.

blocksize
    blocksize of journalling device

RETURNS

a newly created journal_t *

journal_init_dev creates a journal which maps a fixed contiguous range of blocks on an arbitrary block device.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT